## fsvs 1.1.14

=== Makefile ===
default-target: src/config.h
	@$(MAKE) --no-print-directory -C src

%:
	@$(MAKE) --no-print-directory -C src $@

src/config.h: configure
	@echo ''
	@echo 'You have to run "./configure" before compiling, which might need'
	@echo 'some options depending on your system.'
	@echo ''
	@echo 'See "./configure --help" for a listing of the parameters.'
	@echo ''
	@false

configure:	configure.in
	@echo Generating configure.
	autoconf

## fsvs 1.2.5

=== debian/changelog ===
fsvs (1.2.5-1ubuntu1) saucy; urgency=low

  * as-needed-linkage.patch: Fix linking with --as-needed.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 14 Aug 2013 21:34:43 -0600

fsvs (1.2.5-1) unstable; urgency=low

  * QA upload.
    + Set maintainer to Debian QA Group <packages@qa.debian.org>.
  * New upstream release. (Closes: #612590).
    + Fix security issue with non-world-readable files. (Closes: #681054).
    + Remove old inline changes as they were integrated upstream.
  * Acknowledge NMU. (Closes: #641765).
  * Add patch to link in libdl. (Closes: #713729).
  * Make package source format 3.0 (quilt).
  * Add watch file.
  * Update build system to dh style.
    + Bump debhelper build-dep and compat to 9.
  * Bump Standards Version to 3.9.4.

 -- Barry deFreese <bdefreese@debian.org>  Mon, 08 Jul 2013 10:40:45 -0400

fsvs (1.2.3-0+nmu1) unstable; urgency=low

  * Non-maintainer upload
  * New upstream release
  * Install manpages and additional documentation 
  * Build-depend on unversioned libdb-dev (thanks, Lintian)

 -- Iain Lane <laney@debian.org>  Mon, 02 Jan 2012 11:35:41 +0000

fsvs (1.1.17-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix link ordering so that building with --as-needed works. Objects must
    come before libraries that use them
  * Build with --as-needed

 -- Iain Lane <laney@debian.org>  Fri, 16 Sep 2011 09:35:22 +0100

fsvs (1.1.17-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Backport patch from upstream to fix compilation errors with gcc > 4.4.
    (Closes: #564990)
  * Add BD on libdb4.8-dev; required for build
  * Patch Makefile to link to needed libraries, fixing FTBFS with
    --no-add-needed (Closes: #554367)

 -- Iain Lane <laney@debian.org>  Thu, 15 Sep 2011 22:48:41 +0100

fsvs (1.1.17-1) unstable; urgency=low

  * New upstream release

 -- Sheldon Hearn <sheldonh@starjuice.net>  Wed, 12 Nov 2008 13:15:00 +0200

fsvs (1.1.16-1) unstable; urgency=low

  * New upstream release
  * Makefile now provides own distclean.
  * With no patches remaining, remove dpatch Build-Depends.
  * Add Homepage and upgrade Standards-Version.
  * Update description as per request from upstream.

 -- Sheldon Hearn <sheldonh@starjuice.net>  Sat, 12 Jul 2008 15:31:13 +0200

fsvs (1.1.14-1) unstable; urgency=low

  * New upstream release
  * Update list of docs and manpages.
  * Remove manual page cleanups.  Upstream's content has improved and
    expanded to overshadow the value of my presentation cleanups.
  * Remove fix_tree_copies.dpatch (upstream).

 -- Sheldon Hearn <sheldonh@starjuice.net>  Mon, 14 Apr 2008 10:39:58 +0200

fsvs (1.1.12-1) unstable; urgency=low

  * New upstream release
  * Add vendor fix for tree copies, accidentally ommitted from release
  * Tidy up and use upstream's manpage.
  * Updated copyright (now licensed under GPL-3)
  * Updated Standards-Version to 3.7.3 (no changes required)

 -- Sheldon Hearn <sheldonh@starjuice.net>  Sat, 19 Jan 2008 11:49:43 +0200

fsvs (1.1.11-2) unstable; urgency=low

  * Fix typo in package description (Closes: #458994)
  * Applied upstream fix to softroot handling (Closes: #460519)
  * Applied upstream fix that removed unnecessary dependency on
    libsvn_client (Closes: 460557)
  * Changed maintainer email address.

 -- Sheldon Hearn <sheldonh@starjuice.net>  Sun, 13 Jan 2008 12:53:54 +0200

fsvs (1.1.11-1) unstable; urgency=low

  * Initial release (Closes: #428311)
  * Applied upstream patch to fix a serious whitespace problem in the
    docs and usage that confuses new users.

 -- Sheldon Hearn <sheldonh@clue.co.za>  Sun,  9 Dec 2007 19:02:56 +0200

=== debian/control ===
Source: fsvs
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9), libsvn-dev, libgdbm-dev, ctags, libdb-dev, libapr1-dev, libaprutil1-dev, libpcre3-dev
Standards-Version: 3.9.4
Homepage: http://fsvs.tigris.org/

Package: fsvs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: subversion
Description: Full system versioning with metadata support
 FSVS is a backup/restore/versioning/deployment tool for whole directory
 trees or filesystems, with a Subversion repository as the backend.
 It can do overlays of multiple repositories, to achieve some content
 separation (base install, local modifications, etc.)

=== debian/watch ===
version=3
http://download.fsvs-software.org/fsvs-(.+)\.tar\.gz

## fsvs 1.2.6

=== Makefile ===
--- 
+++ 
@@ -16,3 +16,8 @@
 configure:	configure.in
 	@echo Generating configure.
 	autoconf
+
+distclean:
+	rm -f config.cache config.log config.status 2> /dev/null || true
+	rm -f src/Makefile src/tags tests/Makefile 2> /dev/null || true
+	rm -f src/config.h src/*.[os] src/.*.d src/fsvs 2> /dev/null || true

=== debian/changelog ===
fsvs (1.2.6-3) unstable; urgency=medium

  * QA upload.
  * Fix build failure with ld --as-needed.

 -- Matthias Klose <doko@debian.org>  Wed, 09 Sep 2015 14:10:39 +0200

fsvs (1.2.6-2) unstable; urgency=medium

  * QA upload.
  * Add debian/patches/we-will-do-fine-without-the-build-date.patch.

 -- Santiago Vila <sanvila@debian.org>  Sat, 29 Aug 2015 13:48:46 +0200

fsvs (1.2.6-1) unstable; urgency=medium

  * QA upload.
  * New upstream release which includes GCC 5 compatibility patch.
  * Refresh patches for new upstream release.

 -- Tim Potter <tpot@hp.com>  Mon, 27 Jul 2015 12:29:40 +1000

fsvs (1.2.5-2) unstable; urgency=medium

  * QA upload.
  * Apply upstream commit for GCC 5 compatibility. Closes: #777857.
  * Enable verbose build.
  * Fix build with --as-needed.
  * Build using -fgnu89-inline.

 -- Matthias Klose <doko@debian.org>  Sat, 25 Jul 2015 15:05:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: fsvs
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 9), libsvn-dev, libgdbm-dev, ctags, libdb-dev, libapr1-dev, libaprutil1-dev, libpcre3-dev
 Standards-Version: 3.9.4
 Homepage: http://fsvs.tigris.org/

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

#export DESTDIR=$(CURDIR)/debian/tmp

%:
	dh $@

## fsvs 1.2.7

=== pre-1.2-migration/Makefile ===

BASEDIR	:= $(PWD)
SCRIPT	:= $(BASEDIR)/convert-ignores.pl
TESTDIR	:= $(BASEDIR)/in
CMPDIR	:= $(BASEDIR)/exp
TMPDIR	:= /tmp/fsvs-convert-test.d

MAKEFLAGS	+= --no-print-directory

all: single combined
	@echo All done.

prep:
	@mkdir -p $(TMPDIR)
	@rm -f $(TMPDIR)/* || true
	@cp -a $(TESTDIR)/* $(TMPDIR)/

cmp:
	@rm -f $(TMPDIR)/*.bak
	@diff -au $(TMPDIR)/ $(CMPDIR)

single:
	@$(MAKE) prep
	@echo Single
	@for file in $(wildcard $(TMPDIR)/*) ; do $(SCRIPT) $$file ; done
	@$(MAKE) cmp

combined:
	@$(MAKE) prep
	@echo Combined
	@$(SCRIPT) $(wildcard $(TMPDIR)/*)
	@$(MAKE) cmp

.PHONY: prep cmp single combined

=== debian/changelog ===
fsvs (1.2.7-1ubuntu0.1) focal; urgency=medium

  * SVN fails to commit changes to http-URLs due to unclosed handle.
    Apply upstream patch to close handle properly. (LP: #1875642)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 24 Jan 2024 13:01:36 +0000

fsvs (1.2.7-1build2) disco; urgency=medium

  * Rebuild against new libgdbm6.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 03 Nov 2018 15:02:20 +0100

fsvs (1.2.7-1build1) bionic; urgency=medium

  * Rebuild against new libgdbm5.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 02 Feb 2018 15:24:45 +0100

fsvs (1.2.7-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * Bump Standards-Version to 3.9.8.
  * Refresh patches.
  * Sort source files to enable reproducible building.
  * Fix spelling errors found by lintian.
  * Enable all hardening options and honour CPPFLAGS.
  * Clean .vimrc generated during build.
  * Add Vcs-* fields; imported packaging history to collab-maint.
  * Convert copyright to DEP5 format.
  * Add DEP3 patch headers to patches missing it.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 31 Jul 2016 17:48:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,12 @@
 Source: fsvs
 Section: admin
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 9), libsvn-dev, libgdbm-dev, ctags, libdb-dev, libapr1-dev, libaprutil1-dev, libpcre3-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/fsvs.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/fsvs.git
 Homepage: http://fsvs.tigris.org/
 
 Package: fsvs

## fsvs 1.2.9

=== Makefile ===
--- 
+++ 
@@ -21,3 +21,6 @@
 	rm -f config.cache config.log config.status 2> /dev/null || true
 	rm -f src/Makefile src/tags tests/Makefile 2> /dev/null || true
 	rm -f src/config.h src/*.[os] src/.*.d src/fsvs 2> /dev/null || true
+
+test-shell: src/fsvs
+	@$(MAKE) BINARY=$(CURDIR)/$< --no-print-directory -C tests shell

=== debian/changelog ===
fsvs (1.2.9-2ubuntu0.22.04.1) jammy; urgency=medium

  * SVN fails to commit changes to http-URLs due to unclosed handle.
    Apply upstream patch to close handle properly. (LP: #1875642)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 24 Jan 2024 12:55:28 +0000

fsvs (1.2.9-2) unstable; urgency=low

  * QA upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 20 Aug 2021 14:12:40 +0100

fsvs (1.2.9-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 1.2.9
    - Rebase patches on new version.
    - Remove old news.
  * Update Standards-Version to 4.5.0
  * Use debhelper-compat.
    - Update to compat level 13.
    - Disable autoreconf.
  * Update link for upstream source.
  * Update Vcs link to salsa.
  * Use https with copyright-format-uri.
  * Update watch file with new upstream link.
  * Remove whitespace from changelog.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 15 Jul 2020 16:19:58 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 9), libsvn-dev, libgdbm-dev, ctags, libdb-dev, libapr1-dev, libaprutil1-dev, libpcre3-dev
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/fsvs.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/fsvs.git
-Homepage: http://fsvs.tigris.org/
+Build-Depends: debhelper-compat (= 13), libsvn-dev, libgdbm-dev, ctags, libdb-dev, libapr1-dev, libaprutil1-dev, libpcre3-dev
+Standards-Version: 4.5.0
+Vcs-Git: https://salsa.debian.org/debian/fsvs.git
+Vcs-Browser: https://salsa.debian.org/debian/fsvs
+Homepage: https://github.com/phmarek/fsvs
 
 Package: fsvs
 Architecture: any

## fsvs 1.2.12

=== Makefile ===
--- 
+++ 
@@ -24,3 +24,8 @@
 
 test-shell: src/fsvs
 	@$(MAKE) BINARY=$(CURDIR)/$< --no-print-directory -C tests shell
+
+tags:
+	ctags -R src /usr/include/apr-1.0/ /usr/include/subversion-1/
+
+.PHONY: tags

=== debian/changelog ===
fsvs (1.2.12-2) unstable; urgency=medium

  * QA upload.
  * Remove libdb-dev from Build-Depends (Closes: #1119175)
  * Apply upstream patch to remove #include db.h

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 28 Oct 2025 23:43:43 +0100

fsvs (1.2.12-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 1.2.12
  * Update Standards-Version to 4.6.2
  * Remove build dependency on ctags

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 14 Dec 2023 11:02:32 +0000

fsvs (1.2.11-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 1.2.11.
  * Build with pcre2. (Closes: #1000123)
  * Exclude non-existing file from examples.
  * Run auroreconf

 -- Bastian Germann <bage@debian.org>  Fri, 18 Aug 2023 10:08:35 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: fsvs
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper-compat (= 13), libsvn-dev, libgdbm-dev, ctags, libdb-dev, libapr1-dev, libaprutil1-dev, libpcre3-dev
-Standards-Version: 4.5.0
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper-compat (= 13), libsvn-dev, libgdbm-dev, libapr1-dev, libaprutil1-dev, libpcre2-dev
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/debian/fsvs.git
 Vcs-Browser: https://salsa.debian.org/debian/fsvs
 Homepage: https://github.com/phmarek/fsvs

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export AUTOHEADER=true

%:
	dh $@

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/fsvs-$1\.tar\.gz/ \
  https://github.com/phmarek/fsvs/tags .*/fsvs-(\d\S+)\.tar\.gz
